dpkg-statoverride(1)

NAMN
dpkg-statoverride - överstyr ägarskap och läge för filer

SYNOPS
dpkg-statoverride [flagga...] åtgärd

BESKRIVNING
“stat overrides” are a way to tell dpkg(1) to use a different owner or mode for a path when a package is installed (this applies to any filesystem object that dpkg handles, including directories, devices, etc.). This can be used to force programs that are normally setuid to be install without a setuid flag, or only executable by a certain group.

dpkg-statoverride är ett verktyg för att hantera listan över stat-överstyrningar. Det har tre grundläggande funktioner: lägga till, ta bort och visa överstyrningar.

KOMMANDON

--add användare grupp läge sökväg
    Add an override for path. path does not need to exist when this command is used; the override will be stored and used later. Users and groups can be specified by their name (for example root or nobody), or by their number by prepending the number with a ‘#’ (for example #0 or #65534). The mode needs to be specified in octal. Om --update anges och sökväg existerar kommer den omedelbart att sättas till den nya användaren och läget.

--remove sökväg
    Ta bort en överstyrning för fil, status för sökväg ändras inte av detta kommando.

--list [filnamnssökmönster]
    Visa alla överstyrningar. Om ett sökmönster anges kommer utdata att begränsas till överstyrningar som motsvarar mönstret. Om det inte finns några överstyrningar, eller inga motsvarar mönstret, kommer dpkg-statoverride avslutas med statuskod 1.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--admindir katalog
    Ändra katalog för dpkg-databasen där statoverride-filen också lagras. Förval är /var/lib/dpkg.

--force
    Tvinga ett kommando, även om en säkerhetskontroll annars skulle förhindra det. Detta behövs för att överstyra en befintlig överstyrning.

--update
    Försök att omedelbart ändra sökväg,·om·den·finns, till den nya ägaren och läget.

--quiet
    Var mindre pratsom om vad som görs.

MILJÖVARIABLER

DPKG_ADMINDIR
    Om satt, och flaggan --admindir inte har angivits, används värdet som datakatalog för dpkg.

FILER

/var/lib/dpkg/statoverride
    File which contains the current list of stat overrides of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as status or available.
    Note: dpkg-statoverride preserves the old copy of this file, with extension “-old”, before replacing it with the new one.

SE ÄVEN
dpkg(1).

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.